Announcement

Collapse
No announcement yet.

Android builds do not work anymore

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Android builds do not work anymore

    When I first tried to build the AR app with ARCORE the building worked fine. I then tried the arcore-unreal-sdk Augmented Image sample project and I got a build error that I now get every time I try to build any kind of android app (see below). I played around with installing different versions of the ndk, sdk, etc. Then I deleted all android and unreal content and installed it again, but it didn't change anything.
    Any idea how I could solve the issue?

    Thanks!

    This is part of the error log that I get with the action rpg example:

    [130/133] ActionRPG-arm64-es2.so
    LogPlayLevel: C:/NVPACK/android-ndk-r14b/toolchains/aarch64-linux-android-4.9/prebuilt/windows-x86_64/lib/gcc/aarch64-linux-android/4.9.x/../../../../aarch64-linux-android/bin\ld: cannot open output file C:/Unreal Projects/ActionRPG/Binaries/Android/ActionRPG-arm64-es2.so: Permission denied
    LogPlayLevel: Error: clang++.exe: error: linker command failed with exit code 1 (use -v to see invocation)
    LogPlayLevel: [131/133] ActionRPG-x64-es2.so

    LogPlayLevel: Error: C:/NVPACK/android-ndk-r14b/toolchains/x86_64-4.9/prebuilt/windows-x86_64/lib/gcc/x86_64-linux-android/4.9.x/../../../../x86_64-linux-android/bin\ld: fatal error: C:/Users/micha/OneDrive/Documents/Unreal Projects/ActionRPG/Binaries/Android/ActionRPG-x64-es2.so: open: Permission denied
    LogPlayLevel: Error: clang++.exe: error: linker command failed with exit code 1 (use -v to see invocation)
    LogPlayLevel: [132/133] ActionRPG-armv7-es2.so

    This is what I get with the handheld AR example:

    LogPlayLevel: Creating rungradle.bat to work around commandline length limit (using unused drive letter Z
    LogPlayLevel: Making .apk with Gradle...
    LogPlayLevel: To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/4.6/userguid...le_daemon.html.
    LogPlayLevel: Daemon will be stopped at the end of the build stopping after processing
    LogPlayLevel: FAILURE: Build failed with an exception.
    LogPlayLevel: * What went wrong:
    LogPlayLevel: com/jcraft/jsch/JSchException
    LogPlayLevel: > com.jcraft.jsch.JSchException
    LogPlayLevel: * Try:
    LogPlayLevel: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    LogPlayLevel: * Get more help at https://help.gradle.org
    LogPlayLevel: BUILD FAILED in 2s
    LogPlayLevel: Error: ERROR: cmd.exe failed with args /c "C:\Unreal Projects\ARProjectD\Intermediate\Android\APK\gradle\rungradle.bat" :app:assembleDebug
    LogPlayLevel: Took 4,3866909s to run UnrealBuildTool.exe, ExitCode=5

    LogPlayLevel: UnrealBuildTool failed. See log for more details. (C:\Users\micha\AppData\Roaming\Unreal Engine\AutomationTool\Logs\C+Program+Files+Epic+Games+UE_4.24\UBT-ARProjectD-Android-Development.txt)
    LogPlayLevel: AutomationTool exiting with ExitCode=5 (5)
    LogPlayLevel: Completed Launch On Stage: Build Task, Time: 4.255555
    LogPlayLevel: BUILD FAILED
    PackagingResults: Error: Launch failed! Unknown Error




    #2
    Hi ,

    The first thing I would try will be to start a total new project from the project template(first person template for example) and build over to android, if it works then the errors got to do with your existing projects. Then i will delete all the folders in intermediate folder except config folder, then delete any other folders in your project directory that is not content,intermediate and config folder. Then start the project again and launch it to device, it should work.


    If a total new project from project template also do not work, then it will be problems with environment setup most probably with Nvdia codework version(SDK,NDK settings), visual studio version etc. It will be best to use the version that comes with the UE4 version that you are using, although sometimes there is a need to even install android studio and update certain SDK for it to work sometimes, lots of trial and errors needed here.

    Oh for AR/Google VR apps, the last version that I know that works without problem was UE4.20.3 .


    Hope it helps .
    Last edited by David Ee; 03-01-2020, 10:57 PM.

    Comment


      #3
      Bump... I have been having the same problem. I cannot get the action rpg to compile to android. Same error and everything. Did you ever find a solution?

      Comment


        #4
        Bump. Still having the same issue building.

        Comment

        Working...
        X